<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://BGDDemocratisationEdit.caption"
        focusComponent="form">
    <data>
        <instance id="purchaseRecordDc"
                  class="com.company.management.entity.PurchaseRecord">
            <fetchPlan extends="_base">
                <property name="type" fetchPlan="_base">
                    <property name="typeGroup" fetchPlan="_base"/>
                </property>
                <property name="status" fetchPlan="_base">
                    <property name="typeGroup" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader id="purchaseRecordDl"/>
        </instance>
        <collection id="purchaseRecordProductsDc" class="com.company.management.entity.PurchaseRecordProduct">
            <fetchPlan extends="_base">
                <property name="type" fetchPlan="_base"/>
            </fetchPlan>
            <loader id="purchaseRecordProductsDl">
                <query>
                    <![CDATA[select e from PurchaseRecordProduct e
                    where e.purchase_record = :purchase_record1]]>
                </query>
            </loader>
        </collection>
        <collection id="purchaseRecordSuppDocsDc" class="com.company.management.entity.PurchaseRecordSuppDoc">
            <fetchPlan extends="_base"/>
            <loader id="purchaseRecordSuppDocsDl">
                <query>
                    <![CDATA[select e from PurchaseRecordSuppDoc e
                    where e.purchase_record = :purchase_record1]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" width="100%" responsive="true" height="100%">
                <label stylename="bold h3" id="labelGold"/>
                <vbox spacing="true">
                    <textField id="supplierField" property="supplier" caption="msg://Gold Supplier" stylename="h4 bold" dataContainer="purchaseRecordDc"/>
                    <textField id="descriptionField" property="description" caption="msg://Description" stylename="h4 bold" dataContainer="purchaseRecordDc"/>
                    <hbox spacing="true">
                        <textField id="po_NumField" property="po_Num" caption="msg://PO No. (Purchase Order Number)" stylename="h4 bold" dataContainer="purchaseRecordDc"
                                   required="true" requiredMessage="msg://po_NumField.requiredMessage"/>
                        <dateField id="dateField" property="date" caption="msg://PO Date" stylename="h4 bold" dataContainer="purchaseRecordDc"/>
                    </hbox>
                </vbox>
                <vbox spacing="true"/>
                <label value="msg://Product Information" stylename="bold h3"/>
                <groupTable id="purchaseRecordProductsTable" height="AUTO" width="100%"
                            dataContainer="purchaseRecordProductsDc" editable="true"
                            emptyStateLinkMessage="msg://purchaseRecordProductsTable.emptyStateLinkMessage"
                            emptyStateMessage="msg://purchaseRecordProductsTable.emptyStateMessage" aggregatable="true">
                    <actions>
                        <action id="add" type="add"/>
                        <action id="remove" type="remove"/>
                    </actions>
                    <buttonsPanel alwaysVisible="true" id="addButton">
                        <button id="purchaseRecordProductsTableAddBtn" action="purchaseRecordProductsTable.add"/>
                        <button id="purchaseRecordProductsTableRemoveBtn" action="purchaseRecordProductsTable.remove"/>
                    </buttonsPanel>
                    <columns>
                        <column id="code" editable="true" requiredMessage="msg://code.requiredMessage" required="true"/>
                        <column id="serial_number" editable="true" required="true"
                                requiredMessage="msg://serial_number.requiredMessage"/>
                        <column id="type" caption="msg://Gold Type"/>
                        <column id="purity"/>
                        <column id="quantity" caption="msg://Quantity (Unit)" required="true"
                                requiredMessage="msg://quantity.requiredMessage"/>
                        <column id="price" editable="true" caption="msg://Price (RM)" required="true"
                                requiredMessage="msg://price.requiredMessage"/>
                        <column id="sub_total" caption="msg://Subtotal (RM)"/>
                        <column id="tradable_gold" caption="msg://Tradable Gold"/>
                        <column id="holding_acct" caption="msg://Holding Account"/>
                    </columns>
                    <!--                    <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="100"/>-->
                </groupTable>
                <vbox spacing="true" visible="true"/>
                <label value="msg://Purchase Record Document" stylename="bold h3" id="labelRecord" visible="true"/>
                <vbox spacing="true" id="uploadFileZone">
                    <fileStorageUpload dataContainer="purchaseRecordSuppDocsDc" id="uploadDoc" property="fileUpload" dropZone="dropZone" showFileName="true" showClearButton="true"
                                       dropZonePrompt="msg://uploadPurchaseForm.dropZonePrompt"
                                       permittedExtensions=".pdf" accept="*.pdf" visible="true"/>
                    <vbox id="dropZone"
                          height="150px"
                          spacing="true"
                          stylename="dropzone-container" visible="true">
                        <label stylename="dropzone-description"
                               value="Drop file here"
                               align="MIDDLE_CENTER"/>
                    </vbox>
                </vbox>
                <vbox spacing="true" visible="true"/>
                <groupTable id="fileUploadTable" height="100%" width="100%"
                            dataContainer="purchaseRecordSuppDocsDc" visible="true">
                    <columns>
                        <column id="fileUpload"/>
                    </columns>
                </groupTable>
            </form>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="createDraft" caption="msg://OK" icon="OK" css="background-color: #357EF2;color: #ffffff"/>
            <button id="closeBtn" caption="msg://Cancel" icon="EDITOR_CANCEL"/>
            <button id="commit" caption="msg://Confirm Purchase Verification" css="background-color: #357EF2;color: #ffffff"/>
        </hbox>
    </layout>
</window>
